libvisio::VDXParser Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libvisio::VDXParser Class Reference

`#include <VDXParser.h>`

Inheritance diagram for libvisio::VDXParser:

## Public Member Functions
| VDXParser (librevenge::RVNGInputStream *input, librevenge::RVNGDrawingInterface *painter)
| ~VDXParser () override
bool | parseMain () override
bool | extractStencils () override
Public Member Functions inherited from libvisio::VSDXMLParserBase
| VSDXMLParserBase ()
virtual | ~VSDXMLParserBase ()

## Private Member Functions
| VDXParser ()
| VDXParser (const VDXParser &)
VDXParser & | operator= (const VDXParser &)
xmlChar * | readStringData (xmlTextReaderPtr reader) override
int | getElementToken (xmlTextReaderPtr reader) override
int | getElementDepth (xmlTextReaderPtr reader) override
bool | processXmlDocument (librevenge::RVNGInputStream *input)
void | processXmlNode (xmlTextReaderPtr reader)
void | readLine (xmlTextReaderPtr reader)
void | readFillAndShadow (xmlTextReaderPtr reader)
void | readXFormData (xmlTextReaderPtr reader)
void | readMisc (xmlTextReaderPtr reader)
void | readTxtXForm (xmlTextReaderPtr reader)
void | readXForm1D (xmlTextReaderPtr reader)
void | readPageProps (xmlTextReaderPtr reader)
void | readFonts (xmlTextReaderPtr reader)
void | readTextBlock (xmlTextReaderPtr reader)
void | readForeignInfo (xmlTextReaderPtr reader)
void | readLayerMem (xmlTextReaderPtr reader)
void | readTabs (xmlTextReaderPtr reader)
void | readTab (xmlTextReaderPtr reader)
void | getBinaryData (xmlTextReaderPtr reader) override
int | readExtendedColourData (Colour &value, long &idx, xmlTextReaderPtr reader)
int | readExtendedColourData (Colour &value, xmlTextReaderPtr reader)
int | readExtendedColourData (boost::optional< Colour > &value, xmlTextReaderPtr reader)
int | readDoubleData (boost::optional< double > &value, xmlTextReaderPtr reader)
int | readDoubleData (double &value, xmlTextReaderPtr reader)
int | readBoolData (boost::optional< bool > &value, xmlTextReaderPtr reader)
int | readBoolData (bool &value, xmlTextReaderPtr reader)
int | readLongData (boost::optional< long > &value, xmlTextReaderPtr reader)
int | readLongData (long &value, xmlTextReaderPtr reader)
int | readStringData (VSDName &text, xmlTextReaderPtr reader)
virtual xmlChar * | readStringData (xmlTextReaderPtr reader)=0

## Private Attributes
librevenge::RVNGInputStream * | m_input
librevenge::RVNGDrawingInterface * | m_painter

## Additional Inherited Members
Protected Member Functions inherited from libvisio::VSDXMLParserBase
int | readByteData (unsigned char &value, xmlTextReaderPtr reader)
int | readByteData (boost::optional< unsigned char > &value, xmlTextReaderPtr reader)
int | readUnsignedData (boost::optional< unsigned > &value, xmlTextReaderPtr reader)
int | readLongData (boost::optional< long > &value, xmlTextReaderPtr reader)
int | readLongData (long &value, xmlTextReaderPtr reader)
int | readDoubleData (boost::optional< double > &value, xmlTextReaderPtr reader)
int | readDoubleData (double &value, xmlTextReaderPtr reader)
int | readBoolData (boost::optional< bool > &value, xmlTextReaderPtr reader)
int | readBoolData (bool &value, xmlTextReaderPtr reader)
int | readExtendedColourData (Colour &value, long &idx, xmlTextReaderPtr reader)
int | readExtendedColourData (Colour &value, xmlTextReaderPtr reader)
int | readExtendedColourData (boost::optional< Colour > &value, xmlTextReaderPtr reader)
int | readNURBSData (boost::optional< NURBSData > &data, xmlTextReaderPtr reader)
int | readPolylineData (boost::optional< PolylineData > &data, xmlTextReaderPtr reader)
int | readStringData (VSDName &text, xmlTextReaderPtr reader)
void | readTriggerId (unsigned &id, xmlTextReaderPtr reader)
unsigned | getIX (xmlTextReaderPtr reader)
virtual void | _handleLevelChange (unsigned level)
void | _flushShape ()
void | readEllipticalArcTo (xmlTextReaderPtr reader)
void | readEllipse (xmlTextReaderPtr reader)
void | readGeometry (xmlTextReaderPtr reader)
void | readMoveTo (xmlTextReaderPtr reader)
void | readLineTo (xmlTextReaderPtr reader)
void | readArcTo (xmlTextReaderPtr reader)
void | readNURBSTo (xmlTextReaderPtr reader)
void | readPolylineTo (xmlTextReaderPtr reader)
void | readInfiniteLine (xmlTextReaderPtr reader)
void | readRelCubBezTo (xmlTextReaderPtr reader)
void | readRelEllipticalArcTo (xmlTextReaderPtr reader)
void | readRelLineTo (xmlTextReaderPtr reader)
void | readRelMoveTo (xmlTextReaderPtr reader)
void | readRelQuadBezTo (xmlTextReaderPtr reader)
void | readForeignData (xmlTextReaderPtr reader)
void | readShape (xmlTextReaderPtr reader)
void | readColours (xmlTextReaderPtr reader)
void | readPage (xmlTextReaderPtr reader)
void | readText (xmlTextReaderPtr reader)
void | readCharIX (xmlTextReaderPtr reader)
void | readParaIX (xmlTextReaderPtr reader)
void | readLayerIX (xmlTextReaderPtr reader)
void | readLayerMember (xmlTextReaderPtr reader)
void | readStyleSheet (xmlTextReaderPtr reader)
void | readPageSheet (xmlTextReaderPtr reader)
void | readSplineStart (xmlTextReaderPtr reader)
void | readSplineKnot (xmlTextReaderPtr reader)
void | readStencil (xmlTextReaderPtr reader)
void | handlePagesStart (xmlTextReaderPtr reader)
void | handlePagesEnd (xmlTextReaderPtr reader)
void | handlePageStart (xmlTextReaderPtr reader)
void | handlePageEnd (xmlTextReaderPtr reader)
void | handleMastersStart (xmlTextReaderPtr reader)
void | handleMastersEnd (xmlTextReaderPtr reader)
void | handleMasterStart (xmlTextReaderPtr reader)
void | handleMasterEnd (xmlTextReaderPtr reader)
void | skipPages (xmlTextReaderPtr reader)
void | skipMasters (xmlTextReaderPtr reader)
Protected Attributes inherited from libvisio::VSDXMLParserBase
VSDCollector * | m_collector
VSDStencils | m_stencils
std::unique_ptr< VSDStencil > | m_currentStencil
VSDShape | m_shape
bool | m_isStencilStarted
unsigned | m_currentStencilID
bool | m_extractStencils
bool | m_isInStyles
unsigned | m_currentLevel
unsigned | m_currentShapeLevel
std::map< unsigned, Colour > | m_colours
VSDFieldList | m_fieldList
VSDShapeList | m_shapeList
librevenge::RVNGBinaryData | m_currentBinaryData
std::stack< VSDShape > | m_shapeStack
std::stack< unsigned > | m_shapeLevelStack
bool | m_isShapeStarted
bool | m_isPageStarted
VSDGeometryList * | m_currentGeometryList
unsigned | m_currentGeometryListIndex
std::map< unsigned, VSDName > | m_fonts
std::map< unsigned, VSDTabStop > * | m_currentTabSet
XMLErrorWatcher * | m_watcher

## Constructor & Destructor Documentation

## ◆ VDXParser() [1/3]

libvisio::VDXParser::VDXParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGDrawingInterface * | painter
| ) |  |
| explicit

## ◆ ~VDXParser()

libvisio::VDXParser::~VDXParser | ( |  | ) |
| override

## ◆ VDXParser() [2/3]

libvisio::VDXParser::VDXParser | ( |  | ) |
| private

## ◆ VDXParser() [3/3]

libvisio::VDXParser::VDXParser | ( | const VDXParser & |  | ) |
| private

## Member Function Documentation

## ◆ extractStencils()

bool libvisio::VDXParser::extractStencils | ( |  | ) |
| overridevirtual

Implements libvisio::VSDXMLParserBase.

## ◆ getBinaryData()

void libvisio::VDXParser::getBinaryData | ( | xmlTextReaderPtr | reader | ) |
| overrideprivatevirtual

Implements libvisio::VSDXMLParserBase.

## ◆ getElementDepth()

int libvisio::VDXParser::getElementDepth | ( | xmlTextReaderPtr | reader | ) |
| overrideprivatevirtual

Implements libvisio::VSDXMLParserBase.

## ◆ getElementToken()

int libvisio::VDXParser::getElementToken | ( | xmlTextReaderPtr | reader | ) |
| overrideprivatevirtual

Implements libvisio::VSDXMLParserBase.

## ◆ operator=()

VDXParser& libvisio::VDXParser::operator= | ( | const VDXParser & |  | ) |
| private

## ◆ parseMain()

bool libvisio::VDXParser::parseMain | ( |  | ) |
| overridevirtual

Implements libvisio::VSDXMLParserBase.

## ◆ processXmlDocument()

bool libvisio::VDXParser::processXmlDocument | ( | librevenge::RVNGInputStream * | input | ) |
| private

## ◆ processXmlNode()

void libvisio::VDXParser::processXmlNode | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readBoolData() [1/2]

int libvisio::VSDXMLParserBase::readBoolData
| private

## ◆ readBoolData() [2/2]

int libvisio::VSDXMLParserBase::readBoolData
| private

## ◆ readDoubleData() [1/2]

int libvisio::VSDXMLParserBase::readDoubleData
| private

## ◆ readDoubleData() [2/2]

int libvisio::VSDXMLParserBase::readDoubleData
| private

## ◆ readExtendedColourData() [1/3]

int libvisio::VSDXMLParserBase::readExtendedColourData
| private

## ◆ readExtendedColourData() [2/3]

int libvisio::VSDXMLParserBase::readExtendedColourData
| private

## ◆ readExtendedColourData() [3/3]

int libvisio::VSDXMLParserBase::readExtendedColourData
| private

## ◆ readFillAndShadow()

void libvisio::VDXParser::readFillAndShadow | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readFonts()

void libvisio::VDXParser::readFonts | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readForeignInfo()

void libvisio::VDXParser::readForeignInfo | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readLayerMem()

void libvisio::VDXParser::readLayerMem | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readLine()

void libvisio::VDXParser::readLine | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readLongData() [1/2]

int libvisio::VSDXMLParserBase::readLongData
| private

## ◆ readLongData() [2/2]

int libvisio::VSDXMLParserBase::readLongData
| private

## ◆ readMisc()

void libvisio::VDXParser::readMisc | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readPageProps()

void libvisio::VDXParser::readPageProps | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readStringData() [1/3]

int libvisio::VSDXMLParserBase::readStringData
| private

## ◆ readStringData() [2/3]

virtual xmlChar* libvisio::VSDXMLParserBase::readStringData
| private

## ◆ readStringData() [3/3]

xmlChar * libvisio::VDXParser::readStringData | ( | xmlTextReaderPtr | reader | ) |
| overrideprivatevirtual

Implements libvisio::VSDXMLParserBase.

## ◆ readTab()

void libvisio::VDXParser::readTab | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readTabs()

void libvisio::VDXParser::readTabs | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readTextBlock()

void libvisio::VDXParser::readTextBlock | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readTxtXForm()

void libvisio::VDXParser::readTxtXForm | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readXForm1D()

void libvisio::VDXParser::readXForm1D | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readXFormData()

void libvisio::VDXParser::readXFormData | ( | xmlTextReaderPtr | reader | ) |
| private

## Member Data Documentation

## ◆ m_input

librevenge::RVNGInputStream* libvisio::VDXParser::m_input
| private

## ◆ m_painter

librevenge::RVNGDrawingInterface* libvisio::VDXParser::m_painter
| private

The documentation for this class was generated from the following files:

- VDXParser.h
- VDXParser.cpp